SourcePawn / Sourcemodでsmlibを読み込んだ際のエラー回避

    PAYDAY2 Blacklist Assist

    最近更新中のPAYDAY2のBlacklist MODの補助ツール
    ※特に理由が無い場合は最新バージョンを使用してください。


    ━━━━━━━━━━━━━━━━━━━━━━━━━━━

    Sourcemodで書かれている複雑なpluginで何かと使われているsmlibだが、
    AlliedModdersからダウンロードしても、
    GitHubのリリースからダウンロードしても、

    const was specified twice」などのエラーが発生し、うまく動かない。
    (2017/06/29時点)

    回避方法は非常に簡単で、

    GitHub - bcserv/smlib: Function Stock Library for Sourcemod with over 350 new functions

    GitHubから最新のソースコード群をダウンロードし、導入する。

    GitHubリリースの最新バージョンでは上記バグが残った状態であるという落とし穴。
    スポンサーサイト